Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.sandbox.queries.regex
Interface RegexCapabilities

All Known Implementing Classes:
  JakartaRegexpCapabilities, JavaUtilRegexCapabilities

    public interface RegexCapabilities

Defines basic operations needed by `RegexQuery` for a regular expression implementation.

Nested Class Summary
`static interface` | `RegexCapabilities.RegexMatcher` Interface for basic regex matching.

Method Summary
`RegexCapabilities.RegexMatcher` | `compile(String pattern)` Called by the constructor of `RegexTermsEnum` allowing implementations to cache a compiled version of the regular expression pattern.

Method Detail

### compile

    RegexCapabilities.RegexMatcher compile(String pattern)

  Called by the constructor of `RegexTermsEnum` allowing implementations to cache a compiled version of the regular expression pattern.

  Parameters:
    `pattern` - regular expression pattern

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.